package cn.pluss.platform.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author DJH
 * 一些常用的正则校验
 */
public class RegexUtils {
    
    public static final String PHONE_REGEX = "^(((13[0-9])|(14[0|5|7|9])|(15[0-9])|(16[2|5|6|7])|(17[0-9])|(18[0-9])|(19[1|3|5|6|7|8|9]))\\d{8})$";

    private RegexUtils() {}

    /**
     * 校验手机号的正确性
     *
     * @param phone 手机号
     * @return 是否是手机号
     */
    public static boolean checkPhone(String phone) {
        return check(phone, PHONE_REGEX);
    }

    public static boolean check(String target, String regex) {
        // 创建一个匹配模式
        Pattern p = Pattern.compile(regex);
        // 返回matcher对象
        Matcher m = p.matcher(target);

        return m.matches();
    }
}
